<div nz-row *ngIf="deviceDisplayType && deviceDisplayType === 'full' && isLoading === false && regionId">
  <!-- <div nz-col nzXs="0" nzMd="0" nzLg="20" nzOffset="2" style="margin-top: 5px">
    <app-topbar></app-topbar>
  </div> -->

  <div nz-col nzXs="0" nzMd="0" nzLg="20" nzOffset="2">
    <div nz-row nzGutter="8">
      <div nz-col nzSpan="8" style="display: flex; align-items: center;">
        <img src="assets/img/newLogo (2).png" width="auto" height="60" />
      </div>

      <div nz-col nzSpan="8" style="text-align: center;">
        <a nz-dropdown [nzDropdownMenu]="menu">
          <img [src]="selectedLanguage?.flag" width="35" height="25"
            style="border: 1px solid grey; margin-top: 40px;" />
        </a>
        <nz-dropdown-menu #menu="nzDropdownMenu">
          <ul nz-menu nzSelectable style="margin-top: 35px">
            <li nz-menu-item *ngFor="let language of languages" (click)="switchLanguage(language.key)">
              <img [src]="language.flag" width="30" height="20" style="margin-right: 10px; border: 1px solid grey;" />
              {{ language.name }}
            </li>
          </ul>
        </nz-dropdown-menu>
      </div>

      <div nz-col nzSpan="8" id="topbar-game-content">
        <nz-card nzSize="small" [nzLoading]="isLoading">

          <div nz-row nzGutter="6">
            <div nz-col nzSpan="12">
              {{"Home.Day" | translate }}: <b>{{ gameConfig?.day }}</b>
            </div>
            <div nz-col nzSpan="12">
              {{"Home.nextDayIn" | translate }}:<br />
              <countdown #cd [config]="countdownConfig" (event)="countdownEvent($event)"></countdown>
            </div>
          </div>

          <div style="margin-top: 5px; text-align: center;">
            <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
              <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
            </nz-input-group>
            <ng-template #suffixIconButton>
              <button nz-button nzShape="round" nzType="default" (click)="search()"
                style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                <span nz-icon nzType="search"></span>
              </button>
            </ng-template>
          </div>
        </nz-card>
      </div>
    </div>
  </div>

  <div nz-col nzXs="0" nzMd="0" nzLg="20" nzOffset="2">
    <app-navbar *ngIf="isLoading === false && regionId"></app-navbar>
  </div>
</div>

<div *ngIf="deviceDisplayType && deviceDisplayType === 'mobile' && isLoading === false && regionId">
  <div style="position: fixed; bottom: 0px; width: 100%; z-index: 10000">
    <nz-card nzSize="small" style="margin-top: 10px;">
      <div nz-row nzGutter="0" style="text-align: center" nzJustify="space-between">

<!-- ten fragment jest zmieniony przeze mnie (Ania) -->        
        <div nz-col nzSpan="4" (click)="mobileNavbarOpen = true">
          <span nz-icon nzType="compass" nzTheme="outline"></span><br>{{"Home.Nav" | translate }}
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileNavbarOpen" nzPlacement="left"
            [nzTitle]="'Home.navigationMenu' | translate" (nzOnClose)="mobileNavbarOpen = false"
            nzWrapClassName="mobile-nav">
            <ng-container *nzDrawerContent>
              <div style="margin-top: 5px; text-align: center;">
                <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
                  <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                    style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
                </nz-input-group>
                <ng-template #suffixIconButton>
                  <button nz-button nzShape="round" nzType="default" (click)="search()"
                    style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                    <span nz-icon nzType="search"></span>
                  </button>
                </ng-template>
              </div>
              <app-navbar menuOrientation="inline"></app-navbar>
            </ng-container>
          </nz-drawer>
        </div>

        <div nz-col nzSpan="4"><a [routerLink]="['/map']">
          <div><span nz-icon nzType="global" nzTheme="outline"></span></div>
          <div>{{"Home.World" | translate }}</div>
        </a>
        </div>

        <div nz-col nzSpan="4">
          <div><span nz-icon nzType="home" nzTheme="outline"></span></div>
          <div>{{"Common.Home" | translate }}</div>
        </div>

        <div nz-col nzSpan="4">
          <div><span nz-icon nzType="message" nzTheme="outline"></span></div>
          <div>{{"Social.Community.Chat" | translate }}</div>
        </div>

        <div nz-col nzSpan="4" (click)="mobileTopBarOpen = true">
          <span nz-icon nzType="user" nzTheme="outline"></span><br> {{"Home.Profile" | translate }}
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileTopBarOpen" nzPlacement="right"
            [nzTitle]="'Home.Profile' | translate" (nzOnClose)="mobileTopBarOpen = false"
            nzWrapClassName="topbar-profile">
            <ng-container *nzDrawerContent>
              <div style="padding-bottom: 40px">
                <app-topbar></app-topbar>
                <div nz-col nzSpan="24" style="text-align: center;">
                  <a nz-dropdown [nzDropdownMenu]="menu">
                    <img [src]="selectedLanguage?.flag" width="35" height="25"
                      style="border: 1px solid grey; margin-top: 40px;" />
                  </a>
                  <nz-dropdown-menu #menu="nzDropdownMenu">
                    <ul nz-menu nzSelectable style="margin-top: 35px">
                      <li nz-menu-item *ngFor="let language of languages" (click)="switchLanguage(language.key)">
                        <img [src]="language.flag" width="30" height="20"
                          style="margin-right: 10px; border: 1px solid grey;" />
                        {{ language.name }}
                      </li>
                    </ul>
                  </nz-dropdown-menu>
                </div>
              </div>
            </ng-container>
          </nz-drawer>
        </div>

<!-- odtąd jest bez większych zmian -->
        <!-- <div nz-col nzSpan="6" style="text-align: center">
          <button nz-button nzType="text" (click)="mobileNavbarOpen = true">
            <!--<i class="far fa-compass" style="margin-right: 5px"></i><br>
            <span nz-icon nzType="compass" nzTheme="outline"></span><br> {{"Home.Navigation" | translate }}
          </button>
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileNavbarOpen" nzPlacement="left"
            [nzTitle]="'Home.navigationMenu' | translate" (nzOnClose)="mobileNavbarOpen = false"
            nzWrapClassName="mobile-nav">
            <ng-container *nzDrawerContent>
              <div style="margin-top: 5px; text-align: center;">
                <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
                  <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                    style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
                </nz-input-group>
                <ng-template #suffixIconButton>
                  <button nz-button nzShape="round" nzType="default" (click)="search()"
                    style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                    <span nz-icon nzType="search"></span>
                  </button>
                </ng-template>
              </div>
              <app-navbar menuOrientation="inline"></app-navbar>
            </ng-container>
          </nz-drawer>
        </div>

        <div nz-col nzSpan="4" style="text-align: center">
          <button nz-button nzType="text" (click)="mobileNavbarOpen = true">
            <span nz-icon nzType="global" nzTheme="outline"></span><br> {{"Home.World" | translate }}
          </button>
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileNavbarOpen" nzPlacement="left"
            [nzTitle]="'Home.navigationMenu' | translate" (nzOnClose)="mobileNavbarOpen = false"
            nzWrapClassName="mobile-nav">
            <ng-container *nzDrawerContent>
              <div style="margin-top: 5px; text-align: center;">
                <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
                  <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                    style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
                </nz-input-group>
                <ng-template #suffixIconButton>
                  <button nz-button nzShape="round" nzType="default" (click)="search()"
                    style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                    <span nz-icon nzType="search"></span>
                  </button>
                </ng-template>
              </div>
              <app-navbar menuOrientation="inline"></app-navbar>
            </ng-container>
          </nz-drawer>
        </div>

        <div nz-col nzSpan="5" style="text-align: center">
          <button nz-button nzType="text" (click)="mobileNavbarOpen = true">
            <span nz-icon nzType="home" nzTheme="outline"></span><br> {{"Common.Home" | translate }}
          </button>
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileNavbarOpen" nzPlacement="left"
            [nzTitle]="'Home.navigationMenu' | translate" (nzOnClose)="mobileNavbarOpen = false"
            nzWrapClassName="mobile-nav">
            <ng-container *nzDrawerContent>
              <div style="margin-top: 5px; text-align: center;">
                <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
                  <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                    style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
                </nz-input-group>
                <ng-template #suffixIconButton>
                  <button nz-button nzShape="round" nzType="default" (click)="search()"
                    style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                    <span nz-icon nzType="search"></span>
                  </button>
                </ng-template>
              </div>
              <app-navbar menuOrientation="inline"></app-navbar>
            </ng-container>
          </nz-drawer>
        </div>

        <div nz-col nzSpan="4" style="text-align: center">
          <button nz-button nzType="text" (click)="mobileNavbarOpen = true">
            <span nz-icon nzType="message" nzTheme="outline"></span><br> {{"Social.Community.Chat" | translate }}
          </button>
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileNavbarOpen" nzPlacement="left"
            [nzTitle]="'Home.navigationMenu' | translate" (nzOnClose)="mobileNavbarOpen = false"
            nzWrapClassName="mobile-nav">
            <ng-container *nzDrawerContent>
              <div style="margin-top: 5px; text-align: center;">
                <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton" nzSize="small" style="width: 80%; ">
                  <input type="text" nz-input [(ngModel)]="searchValue" (keyup.enter)="search()" nzSize="small"
                    style="border-radius: 10px 0 0 10px;" [placeholder]="'Common.SearchPlaceholder' | translate" />
                </nz-input-group>
                <ng-template #suffixIconButton>
                  <button nz-button nzShape="round" nzType="default" (click)="search()"
                    style="border-radius: 0 10px 10px 0;" nzSearch nzSize="small">
                    <span nz-icon nzType="search"></span>
                  </button>
                </ng-template>
              </div>
              <app-navbar menuOrientation="inline"></app-navbar>
            </ng-container>
          </nz-drawer>
        </div>

        <div nz-col nzSpan="4" style="text-align: center">
          <button nz-button nzType="text" (click)="mobileTopBarOpen = true">
            <!--<i class="far fa-user-circle" style="margin-right: 5px"></i>
            <span nz-icon nzType="user" nzTheme="outline"></span><br> {{"Home.Profile" | translate }}
          </button>
          <nz-drawer [nzClosable]="true" nzWidth="95%" [nzVisible]="mobileTopBarOpen" nzPlacement="right"
            [nzTitle]="'Home.Profile' | translate" (nzOnClose)="mobileTopBarOpen = false"
            nzWrapClassName="topbar-profile">
            <ng-container *nzDrawerContent>
              <div style="padding-bottom: 40px">
                <app-topbar></app-topbar>
                <div nz-col nzSpan="24" style="text-align: center;">
                  <a nz-dropdown [nzDropdownMenu]="menu">
                    <img [src]="selectedLanguage?.flag" width="35" height="25"
                      style="border: 1px solid grey; margin-top: 40px;" />
                  </a>
                  <nz-dropdown-menu #menu="nzDropdownMenu">
                    <ul nz-menu nzSelectable style="margin-top: 35px">
                      <li nz-menu-item *ngFor="let language of languages" (click)="switchLanguage(language.key)">
                        <img [src]="language.flag" width="30" height="20"
                          style="margin-right: 10px; border: 1px solid grey;" />
                        {{ language.name }}
                      </li>
                    </ul>
                  </nz-dropdown-menu>
                </div>
              </div>
            </ng-container>
          </nz-drawer>
        </div> -->
      </div>
    </nz-card>
  </div>
</div>

<div nz-row nzType="flex" nzJustify="space-around">
  <div nz-col nzXs="0" nzSm="0" nzMd="2" *ngIf="deviceDisplayType  && deviceDisplayType === 'full'">
    <app-layout-missions *ngIf="isLoading === false && regionId"></app-layout-missions>
  </div>
  <div nz-col nzXs="24" nzSm="24" nzMd="24" nzLg="20">
    <div class="content">

      <nz-row nzGutter="8">
        <nz-col nzXs="0" nzSm="0" nzMd="5">
          <app-topbar></app-topbar>
        </nz-col>
        <nz-col nzXs="24" nzSm="24" nzMd="19">
          <router-outlet *ngIf="isLoading === false && regionId"></router-outlet>
        </nz-col>
      </nz-row>

      <!-- SELECTING STARTING COUNTRY -->
      <div *ngIf="isLoading === false && !regionId">
        <div style="text-align: center">
          <h2>{{"Home.selectStartingCountry" | translate }}</h2>
          <div nz-row nzGutter="12" nzJustify="space-around">
            <div nz-col nzXs="12" nzSm="8" nzMd="6" nzLg="6" nzXl="6" nzXXl="4" style="margin-bottom: 12px"
              *ngFor="let country of countries">
              <nz-card nzSize="small" nzHoverable (click)="selectCountry(country.id)" class="selectCountry">
                <img src="{{ country.flagLocation }}" style="width: 90%; max-width: 140px; height: 80px" />
                <h4>{{ country.name }}</h4>
              </nz-card>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
  <div nz-col nzXs="0" nzSm="0" nzMd="2"></div>
</div>